import { WxQueue } from 'miniprogram-queue';
import { LifeCircle } from 'miniprogram-network-life-circle';
import { transfomDownloadSendDefault } from './transform';
const downloadQueue = new WxQueue(wx.downloadFile);
export class Downloder extends LifeCircle {
    /**
     * 新建 Http实列
     * @param config 全局默认配置
     */
    constructor(config, downloader) {
        super(downloader || downloadQueue.push, config);
        /**
         * 默认下载请求参数转换函数
         */
        this.TransformSendDefault = transfomDownloadSendDefault;
    }
    download() {
        const is_multi_param = typeof arguments[0] === 'string';
        const options = is_multi_param ? (arguments[2] || {}) : arguments[0];
        if (is_multi_param) {
            options.url = arguments[0];
            options.filePath = arguments[1];
        }
        return this.process(options);
    }
}
;
//# sourceMappingURL=downloader.js.map